OOjsUI Object-Oriented JavaScript – User Interface

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
OOUI\ButtonInputWidget Class Reference

A button that is an input widget. More...

Inheritance diagram for OOUI\ButtonInputWidget:
[legend]
Collaboration diagram for OOUI\ButtonInputWidget:
[legend]

## Public Member Functions
| __construct (array $config=array())
| setLabel ($label)
| Set label value. More...
| setValue ($value)
| Set the value of the input. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\InputWidget
| __construct (array $config=array())
| getValue ()
| Get the value of the input. More...
| setRTL ($isRTL)
| Set the directionality of the input, either RTL (right-to-left) or LTR (left-to-right). More...
| setDir ($dir)
| Set the directionality of the input. More...
| setValue ($value)
| Set the value of the input. More...
| setDisabled ($state)
| getConfig (&$config)
Public Member Functions inherited from OOUI\Widget
| __construct (array $config=array())
| isDisabled ()
| Check if the widget is disabled. More...
| setDisabled ($disabled)
| Set the disabled state of the widget. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\Element
| __construct (array $config=array())
| __call ($method, $arguments)
| Call a mixed-in method. More...
| __get ($name)
| Get a mixed-in target property. More...
| __isset ($name)
| Check for existence of a mixed-in target property. More...
| getTagName ()
| Get the HTML tag name. More...
| getData ()
| Get element data. More...
| setData ($data)
| Set element data. More...
| supports ($methods)
| Check if element supports one or more methods. More...
| mixin (ElementMixin $mixin)
| Mixin a class. More...
| getConfig (&$config)
| Add the necessary properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...
| toString ()
| Render element into HTML. More...
Public Member Functions inherited from OOUI\Tag
| __construct ($tag= 'div')
| Create element. More...
| hasClass ($class)
| Check for CSS class. More...
| addClasses (array $classes)
| Add CSS classes. More...
| removeClasses (array $classes)
| Remove CSS classes. More...
| toggleClasses (array $classes, $toggle=null)
| Toggle CSS classes. More...
| getAttribute ($key)
| Get HTML attribute value. More...
| setAttributes (array $attributes)
| Add HTML attributes. More...
| setValue ($value)
| Set value of input element ('value' attribute for most, element content for textarea). More...
| removeAttributes (array $keys)
| Remove HTML attributes. More...
| appendContent ()
| Add content to the end. More...
| prependContent ()
| Add content to the beginning. More...
| clearContent ()
| Remove all content. More...
| getElementGroup ()
| Get group element is in. More...
| setElementGroup ($group)
| Set group element is in. More...
| setInfusable ($infusable)
| Enable widget for client-side infusion. More...
| isInfusable ()
| Get client-side infusability. More...
| ensureInfusableId ()
| Ensure that this given Tag is infusable and has a unique `id` attribute. More...
| toString ()
| Render element into HTML. More...
| __toString ()
| Magic method implementation. More...

## Static Public Attributes
static | $supportsSimpleLabel = false
| Disable generating `<label>` elements for buttons. More...
Static Public Attributes inherited from OOUI\InputWidget
static | $supportsSimpleLabel = true
Static Public Attributes inherited from OOUI\Widget
static boolean | $supportsSimpleLabel = false
| Whether this widget will behave reasonably when wrapped in a HTML `<label>`. More...
Static Public Attributes inherited from OOUI\Element
static string | $tagName = 'div'
| HTML tag name. More...
static string | $defaultDir = 'ltr'
| Default text direction, used for some layout calculations. More...

## Protected Member Functions
| getInputElement ($config)
Protected Member Functions inherited from OOUI\InputWidget
| getInputElement ($config)
| Get input element. More...
| cleanUpValue ($value)
| Clean up incoming value. More...
Protected Member Functions inherited from OOUI\Element
| getJavaScriptClassName ()
| The class name of the JavaScript version of this widget. More...
| getGeneratedAttributes ()
Protected Member Functions inherited from OOUI\Tag
| getGeneratedAttributes ()
| Return an augmented `attributes` array, including synthetic attributes which are created from other properties (like the `classes` array) but which shouldn't be retained in the user-visible `attributes`. More...

## Protected Attributes
boolean | $useInputTag
| Whether to use `<input/>` rather than `<button/>`.
Protected Attributes inherited from OOUI\InputWidget
Tag | $input
| Input element.
string | $value = ''
| Input value.
Protected Attributes inherited from OOUI\Widget
boolean | $disabled = false
| Disabled. More...
Protected Attributes inherited from OOUI\Element
mixed | $data = null
| Element data.
array | $ownClasses = array()
| Strings of the CSS classes explicitly configured for this element (as opposed to $classes, which contains all classes for this element).
array | $mixins = array()
| ElementMixins. More...
Protected Attributes inherited from OOUI\Tag
string | $tag = ''
| Tag name for this instance. More...
array | $attributes = array()
| Attributes. More...
array | $classes = array()
| Classes. More...
array | $content = array()
| Content. More...
GroupElement null | $elementGroup = null
| Group. More...
boolean | $infusable = false
| Infusion support. More...

## Additional Inherited Members
Static Public Member Functions inherited from OOUI\Element
static | getDir (Tag $element)
| Get the direction of the user interface for a given element. More...
static | setDefaultDir ($dir)
| Set the default direction of the user interface. More...

## Detailed Description

A button that is an input widget.

Intended to be used within a FormLayout.

## Constructor & Destructor Documentation

OOUI\ButtonInputWidget::__construct | ( | array | $config = `array()` | ) |

Parameters

  array | $config | Configuration options
  string | $config,['type'] | HTML tag `type` attribute, may be 'button', 'submit' or 'reset' (default: 'button')
  boolean | $config,['useInputTag'] | Whether to use `<input/>` rather than `<button/>`. Only useful if you need IE 6 support in a form with multiple buttons. If you use this option, icons and indicators will not be displayed, it won't be possible to have a non-plaintext label, and it won't be possible to set a value (which will internally become identical to the label). (default: false)

## Member Function Documentation

OOUI\ButtonInputWidget::setLabel | ( |  | $label | ) |

Set label value.

Overridden to support setting the 'value' of `<input/>` elements.

Parameters

  string | null | $label | Label text

OOUI\ButtonInputWidget::setValue | ( |  | $value | ) |

Set the value of the input.

Overridden to disable for `<input/>` elements, which have value identical to the label.

Parameters

  string | $value | New value

## Member Data Documentation

OOUI\ButtonInputWidget::$supportsSimpleLabel = false
| static

Disable generating `<label>` elements for buttons.

One would very rarely need additional label for a button, and it's already a big clickable target, and it causes unexpected rendering.

The documentation for this class was generated from the following file:

- php/widgets/ButtonInputWidget.php